%define cvs 20070725
%define vnc_version 3.3.7

Name:           nucleo
Version:        0.7
Release:        0.1.%{cvs}cvs%{?dist}
Summary:        Nucleo

Group:          User Interface/Desktops
License:        LGPL
URL:            http://insitu.lri.fr/~roussel/projects/nucleo/
Source0:        http://kwizart.free.fr/fedora/SOURCES/nucleo-0.7-%{cvs}.tar.bz2
Source1:        http://www.realvnc.com/dist/vnc-%{vnc_version}-unixsrc.tar.gz
Source2:        ffmpegImageSource.H
Source3:        ffmpegImageSink.H
Source4:        AnimatedGifImageSink.H
Source10:       nucleo-snapshot.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool, autoconf, automake

BuildRequires:  avahi-compat-libdns_sd-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  libexif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  opencv-devel
BuildRequires:  qt4-devel

BuildRequires: libXmu-devel
BuildRequires: libXaw-devel

#Requires:      vnc >= 4.1.2
Requires:       %{name}-libs = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
Núcleo, a toolkit for exploring new uses of video and new
human-computer interaction techniques.


%package        devel
Summary:        Dynamic development library for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Dynamic development library for %{name}.

%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
Libraries for %{name}.


%prep
%setup -q
%setup -q -D -T -a 1
install -pm 0644 %{SOURCE2} nucleo/plugins/ffmpeg
install -pm 0644 %{SOURCE3} nucleo/plugins/ffmpeg
install -pm 0644 %{SOURCE4} nucleo/plugins/gd

#sh ./build-utils/bootstrap


%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

pushd vnc-%{vnc_version}-unixsrc
%configure --with-x --with-installed-zlib
make %{?_smp_mflags}
popd

%configure --with-x \
  --with-vnc=%{_builddir}/%{name}-%{version}/vnc-%{vnc_version}-unixsrc

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -c -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER LICENSE NEWS README
%exclude %{_bindir}/nucleo-config
%{_bindir}/*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_bindir}/nucleo-config
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so

%files libs
%defattr(-,root,root,-)
%{_libdir}/%{name}/*.so
%{_libdir}/*.so.*



%changelog
* Wed Jul 25 2007 kwizart < kwizart at gmail.com > - 0.7-0.1.20070725cvs
- Update to cvs 20070725

* Mon Feb 05 2007 kwizart < kwizart at gmail.com > - 0.6-2
- fix 64bit
- ffmpeg rebuild

* Thu Jan 25 2007 kwizart < kwizart at gmail.com > - 0.6-1
- Initial Release
